%define name	SnortCenter
%define version	1.0
%define release	0.2mdk
%define webadminroot /var/www/html/admin

Summary:	Snort IDS Rule & Sensor Management
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://users.pandora.be/larc/
Source0:	snortcenter-v%{version}-RC1.tar.bz2
Patch0:		snortcenter-v%{version}-config.patch.bz2
Requires:	webserver
Requires:	mysqlserver
Requires:	php-common
Requires:	mod_php
Requires:	php-mysql
Requires:	snort
Requires:	ADOdb
Requires:	acid
Requires:	curl
BuildArch:	noarch
Prefix:         %{webadminroot}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SnortCenter is a web-based client-server management system written
in PHP and Perl. It will help you to configure the Snort
configuration & signature files. The Management Console will build
the configuration files for you and then send it to the remote sensor.

Some features: 
* SSL encryption between Management System and remote Sensor
  Agents. 
* Build in user authentication. 
* Automatic update / import new snort signatures from the internet
  and push them to the sensors. 
* Start-Stop Snort remotely and push the specific configuration to
  the sensor. 
* Create personal rules or modify the snort rules. 
* One Sensor Agent can handle multiple snort daemons if the system
  has multiple network interfaces. 
* Multi Language support (english, german, french, spanish, italian,
  (dutch soon available) ). 
* Management Console and Sensor Agents for Linux, *NIX, Windows (NT,
  2000 & XP). 

%prep

%setup -q -n www
%patch0 -p0

%build

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{webadminroot}/%{name}
cp -aRf * %{buildroot}%{webadminroot}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc snortcenter_db.mysql snortcenter_db.pgsql
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.php
%{webadminroot}/%{name}

%changelog
* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0-0.2mdk
- build release

* Sun Dec 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-0.1mdk
- 1.0-RC1
- fix P0, permissions on the conf file and own stuff

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-2mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-1mdk
- initial cooker contrib
- install in common and relocatable %%{webadminroot}/ directory
